Get All Jobs

Retrieves all jobs in Data Cloud.
URI
/api/v1/ingest/jobs
Available since release
Data Cloud v1.0, Salesforce v51.0
Formats
JSON
HTTP methods
GET
Authentication
Authorization: Bearer access_token
Request body
1curl --location --request GET 'https://{instance_url}/api/v1/ingest/jobs/' \
2       --header 'Authorization: Bearer {access_token}'
Request parameters
Parameter Description
limit The number of records to return. Defaults to 20. Maximum up to 100 records per request.
offset Number of rows to skip before returning.
orderBy The field used to order job definition results. The default order is by systemModstamp.
states Get jobs in specific states. Valid states are Open, UploadComplete, Failed, Aborted, and JobComplete. The parameter’s value can be a comma-delimited list.
Response body
1HTTP/1.1 200 OK
2       {
3       "data": [{
4       "id": "4d5a4477-e27f-4bc1-a219-31e79407eade",
5       "operation": "upsert",
6       "object": "MyCdpObject",
7       "createdById": "005R0000000sJ1hIAE",
8       "createdDate": "2021-04-08T14:29:53.000Z",
9       "systemModstamp": "2021-04-08T14:29:53.000Z",
10       "states": "Open",
11       "contentType": "CSV",
12       "apiVersion": "v1",
13       "contentUrl": "api/v1/ingest/jobs/4d5a4477-e27f-4bc1-a219-31e79407eade/batches"
14       }, {
15       "id": "9d5a4477-e27f-4bc1-a219-31e79407eade",
16       ...
17       }]
18       }